For the complete documentation index, see llms.txt. This page is also available as Markdown.

Teachers

List teachers

get
Required scopes
This endpoint requires the following scopes:
  • : Read teachers
Authorizations
OAuth2clientCredentialsRequired

OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.

Token URL:
Query parameters
filter[school_id]integerOptional
sortstringOptional

Comma-separated; prefix with - for descending. Allowed: last_name, created_at.

page[number]integerOptional
page[size]integer · max: 100Optional
Responses
200

teachers listed

application/json
metaobjectOptional
linksobjectOptional
get/api/v2/teachers
GET /api/v2/teachers HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "type": "text",
      "attributes": {},
      "relationships": {}
    }
  ],
  "meta": {},
  "links": {}
}

Fetch a teacher

get
Required scopes
This endpoint requires the following scopes:
  • : Read teachers
Authorizations
OAuth2clientCredentialsRequired

OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.

Token URL:
Path parameters
idintegerRequired
Responses
200

teacher found

application/json
dataobjectOptional
get/api/v2/teachers/{id}
GET /api/v2/teachers/{id} HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "data": {}
}

Last updated

Was this helpful?